#服务器配置
server:
  port: 6161

spring:
  application:
    name: Geometry-System
  profiles:
    active: dev
    include: support

#blade配置
blade:
  mybatis-plus:
    pageLimit: 5000
    appSupport: false
    tenant:
      exclusionTableNames:
        - user_info_huamingce
        - data_permission_dept
        - data_permission_role
        - data_permission_user
        - blade_dict
        - blade_dict_biz
#        - blade_log_api
#        - blade_log_error
#        - blade_log_usual
        - sys_package
        - blade_param
        - blade_region
        - cube_datasource_function
        - visual_enum
        - visual_data_permission
        - data_permission_user
        - visual_self_report_permission
        - blade_message
        - platomix_system_file
      exclusionMapperIds:
        - org.springblade.visual.mapper.VisualEnumMapper.page

  xss:
    skip-url:
      - /blade-auth/mq/**
  #安全框架配置
  secure:
    #接口放行
    skip-url:
      - /wxapi/**
      - /foreign/**
      - /Face/faceIdentify
      - /CustomFace/faceIdentify
      - /CustomFace/unicomFaceIdentify
      - /system/base-info/get
      - /blade-auth/sms/**
      - /oauth/**
      - /loginRecord/trigger
      - /blade-auth/micro-app/**
      - /file/**
      - /wecom/getCode
      - /wecom/createOauth2Url
      - /wecom/codeToToken
      - /blade-user/genToken/*
      - /file/noAuth/*
